#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <spdlog/spdlog.h>
#include <string>
#include <utility>

[[nodiscard]] auto init_image(std::string const&) noexcept
    -> std::pair<cv::Mat, cv::Mat>;

[[nodiscard]] auto euclidian_distance(cv::Mat const&, cv::Mat const&) -> double;

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_ */
